from django.shortcuts import render
from django.views.generic import TemplateView
import importlib
import pkgutil

# Create your views here.


class HomeView(TemplateView):
    template_name = 'home.html'
    extra_context = {
        'home': 'active'
    }


class AdministrationView(TemplateView):
    template_name = 'administration.html'


class AdministrationAnnouncementsView(TemplateView):
    template_name = 'administration/announcements.html'


class AdministrationProtocolsView(TemplateView):
    template_name = 'administration/protocols.html'


class AdministrationRegulationsView(TemplateView):
    template_name = 'administration/regulations.html'


class AdministrationRODOView(TemplateView):
    template_name = 'administration/rodos.html'


class LeagueView(TemplateView):
    template_name = 'league.html'


class CalendarView(TemplateView):
    template_name = 'calendar.html'


class GrandPrixView(TemplateView):
    template_name = 'grandprix.html'


class TournamentView(TemplateView):
    template_name = "tournaments.html"


class MembershipView(TemplateView):
    template_name = 'membership.html'


class YouthView(TemplateView):
    template_name = "youth.html"


class AtuView(TemplateView):
    template_name = 'atu.html'
